Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452470 - Review-Request: perl-Test-WWW-Selenium - Perl Client for the Selenium Remote Control test tool
Summary: Review-Request: perl-Test-WWW-Selenium - Perl Client for the Selenium Remote ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://netbsd.sk/~lkundrak/SPECS/perl...
Whiteboard:
Depends On: 452471
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 07:57 UTC by Lubomir Rintel
Modified: 2008-07-01 18:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-01 18:01:01 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2008-06-23 07:57:11 UTC
SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-Test-WWW-Selenium.spec
SRPM:
http://netbsd.sk/~lkundrak/mock-results/perl-Test-WWW-Selenium-1.15-1.el5.noarch/perl-Test-WWW-Selenium-1.15-1.el5.src.rpm
mock:
http://netbsd.sk/~lkundrak/mock-results/perl-Test-WWW-Selenium-1.15-1.el5.noarch/

Description:

Selenium Remote Control (SRC) is a test tool that allows you to write
automated web application UI tests in any programming language against any
HTTP website using any mainstream JavaScript-enabled browser. SRC provides
a Selenium Server, which can automatically start/stop/control any supported
browser. It works by using Selenium Core, a pure-HTML+JS library that
performs automated tasks in JavaScript; the Selenium Server communicates
directly with the browser using AJAX (XmlHttpRequest).

Comment 1 Parag AN(पराग) 2008-06-23 08:23:23 UTC
Add Apache to License tag also.
Build failed 
http://koji.fedoraproject.org/koji/taskinfo?taskID=676057
Found missing perl(Test::Mock::LWP)


Comment 2 Lubomir Rintel 2008-06-23 08:36:52 UTC
Apache License Added. As you correctly found out Tess::Mock::LWP is pending
adding to Fedora. Thanks for adding the dependency!

SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-Test-WWW-Selenium.spec
SRPM:
http://netbsd.sk/~lkundrak/mock-results/perl-Test-WWW-Selenium-1.15-1.el5.noarch/perl-Test-WWW-Selenium-1.15-2.el5.src.rpm

Comment 3 Parag AN(पराग) 2008-06-29 02:08:27 UTC
The reason I have not done review of this is that I am repeatedly getting 404
error for SRPM download still.

Comment 4 Lubomir Rintel 2008-06-29 08:05:06 UTC
Parag: I'm sorry for that. The correct URL is:

http://netbsd.sk/~lkundrak/mock-results/perl-Test-WWW-Selenium-1.15-2.el5.noarch/perl-Test-WWW-Selenium-1.15-2.el5.src.rpm

Thanks!

Comment 5 Parag AN(पराग) 2008-06-30 04:42:17 UTC
Review:
+ package builds in mock.
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=686732
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
932a71581ebfaad8bc544aa1eae39c5e  Test-WWW-Selenium-0.15.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
All tests successful, 1 test skipped.
Files=8, Tests=239,  1 wallclock secs ( 1.14 cusr +  0.04 csys =  1.18 CPU)


APPROVED.

Comment 6 Lubomir Rintel 2008-06-30 07:28:03 UTC
New Package CVS Request
=======================
Package Name: perl-Test-WWW-Selenium
Short Description: Perl Client for the Selenium Remote Control test tool
Owners: lkundrak
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-06-30 16:22:36 UTC
cvs done.

Comment 8 Lubomir Rintel 2008-07-01 18:01:01 UTC
Imported and built. Thanks!


Note You need to log in before you can comment on or make changes to this bug.